# Uses of Interface
org.apache.sling.graphql.api.SelectedField

Packages that use SelectedField
Package
Description
org.apache.sling.graphql.api
This package contains APIs which are independent of a specific implementation of the underlying graphQL engine.

## Uses of SelectedField in org.apache.sling.graphql.api

Methods in org.apache.sling.graphql.api that return SelectedField
Modifier and Type
Method
Description
`@Nullable SelectedField`
SelectionSet.`get(String qualifiedName)`
Returns the fields identified by `qualifiedName` or `null`.
`@Nullable SelectedField`
SelectedField.`getFirstSubSelectedFieldByName(@NotNull String name)`
`@Nullable SelectedField`
SelectedField.`getSubSelectedField(@NotNull String name)`
Deprecated.
Please use getSubSelectedFieldByName() or getSubSelectedFieldByFQN() instead
`@Nullable SelectedField`
SelectedField.`getSubSelectedFieldByFQN(@NotNull String fullyQualifiedName)`
Methods in org.apache.sling.graphql.api that return types with arguments of type SelectedField
Modifier and Type
Method
Description
`@NotNull List<SelectedField>`
SelectionSet.`getFields()`
Returns a list of the immediate fields in the selection.
`@NotNull Collection<SelectedField>`
SelectedField.`getSubSelectedFieldByName(@NotNull String name)`
`@NotNull List<SelectedField>`
SelectedField.`getSubSelectedFields()`